Skip to main content
PATCH
/
scim
/
v2
/
Users
Update a user
curl --request PATCH \
  --url https://paradigm.lighton.ai/scim/v2/Users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://paradigm.lighton.ai/scim/v2/Users"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://paradigm.lighton.ai/scim/v2/Users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "id": "<string>",
  "externalId": "<string>",
  "userName": "<string>",
  "name": {
    "givenName": "<string>",
    "familyName": "<string>",
    "formatted": "<string>"
  },
  "displayName": "<string>",
  "emails": [
    {
      "value": "<string>",
      "primary": true
    }
  ],
  "title": "<string>",
  "active": true,
  "groups": [
    {
      "value": "<string>",
      "display": "<string>"
    }
  ],
  "meta": {
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z",
    "location": "<string>",
    "resourceType": "User"
  }
}
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "Unauthorized",
"status": 401
}
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "Resource 123 not found",
"status": 404
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

schemas
string[]
Operations
object[]

Response

Modified user

schemas
string[]
required
read-only
id
string
required
read-only
externalId
string
required
read-only
userName
string
required
read-only
name
object
required
displayName
string
required
read-only
emails
object[]
required
read-only
title
string
required
read-only
preferredLanguage
enum<string>
required
  • ar - Arabic
  • en - English
  • fr - French
  • de - German
Available options:
ar,
en,
fr,
de
active
boolean
required
read-only
groups
object[]
required
read-only
meta
object
required